using System.Collections.Generic;

namespace Schedulable.Show
{
    public class Show
    {
        public string Name { get; set; }
        public Preparation Preperation { get; set; }
        public IEnumerable<Phase> Procedure { get; set; }
        public TaskList Postshow { get; set; }
    }
    public class Phase
    {
        public string Name { get; set; }
    }
    public class TaskList
    {
        public IEnumerable<Checklistable> Manual { get; set; }
        public IEnumerable<string> Commands { get; set; }
    }
    public class Preparation : TaskList
    {
        public IEnumerable<string> AgentsNeeded { get; set; }
        public IEnumerable<string> Checks { get; set; }
    }
    public class Checklistable
    {
        //for humans
        public string Label { get; set; }
        public IEnumerable<Checklistable> Items { get; set; } //if no items, just throw up a checkbox
    }
}